package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag767;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT767Creator;

public class Tag23XCreator extends AbsTagCreate {
    private MT767Creator mt767Creator;

    public Tag23XCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt767Creator = (MT767Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag23XValue = mt767Creator.getFileIdentificationOfA();
        mt767Creator.set("23X", tag23XValue);
    }
}